> For the complete documentation index, see [llms.txt](https://docs.exads.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exads.com/api/ad-placement-api/ad-placement-api-overview.md).

# Ad Placement API Overview

Use the Ad Placement API to create your own advertising tags. Generate an ad request and get back the data you need to display an ad.

## Endpoint

The URL is:&#x20;

[`http://syndication.yournetwork.com/v1/api.php`](http://syndication.yournetwork.com/v1/api.php)

Where `yournetwork` is the syndication URL, which varies by network and whether a custom domain is in use.

***

{% hint style="info" %}
The Ad Placement API supports **Banner**, **Sticky Banner**, **Popunder**, **Instant Message**, **Native Ad**, **Outstream Video** and **Fullpage Interstitial** formats.
{% endhint %}

***

{% hint style="info" %}
The Request and Response are made in JSON format.
{% endhint %}

***

## Deleting Cookies <a href="#deleting-cookies" id="deleting-cookies"></a>

You can enable end users to delete cookies by accessing an API, which removes the cookies stored in the user's browser. To achieve this, add a button or link directing users to the `clear-cookies.html` page on any ads domain, such as `https://a.adservingdomain.com/clear-cookies.html`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exads.com/api/ad-placement-api/ad-placement-api-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
